
%define	name	lirc

%define	version	0.8.1
%define snapshot 20060722
%define	rel	4

%if %snapshot
%define release	%mkrel 0.%snapshot.%rel
%else
%define	release	%mkrel %rel
%endif

%define	lib_major 0
%define lib_name %mklibname %{name} %{lib_major}

Summary:	Linux Infrared Remote Control daemons
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Kernel and hardware
%if %snapshot
Source0:	%{name}-%{snapshot}.tar.bz2
%else
Source0:	http://download.sourceforge.net/LIRC/%{name}-%{version}.tar.bz2
%endif
Source2:	lircd.sysconfig
Source3:	lircd.init
Source4:	lircmd.init
# 0.6.5-1mdk remove hardwired CFLAGS
Patch0:		lirc-0.6.5-opt.patch.bz2
Patch1:		lirc-autogen-libtoolize-check-fix.patch.bz2
Patch2:		lirc-udev.patch.bz2
URL:		http://www.lirc.org/
BuildRequires:	autoconf2.5
BuildRequires:	automake1.9
BuildRequires:	XFree86-devel
BuildRequires:  libirman-static-devel
BuildRequires:	libusb-devel
BuildRequires:	libportaudio-devel
BuildRequires:	libalsa-devel
BuildRequires:	help2man
Requires(post):	rpm-helper
Requires(preun):rpm-helper
Requires:	setserial
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
LIRC is a package that allows you to decode and send infra-red signals
of many (but not all) commonly used remote controls.

Configuration files for many remotes are locate in lirc-remotes package

%package -n	%{lib_name}
Summary:	LIRC libraries
Group:		System/Libraries

%description -n	%{lib_name}
This package provides the libraries necessary to run lirc client
programs.

%package -n	%{lib_name}-devel
Summary:	Header and library files for LIRC development
Group:		Development/Other
Requires:	%{lib_name} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{lib_name}-devel
This package provides the files necessary to develop LIRC-based
programs.

%package -n	dkms-%{name}
Summary:	Kernel modules for LIRC
Group:		System/Kernel and hardware
Requires(post):	dkms
Requires(preun): dkms

%description -n	dkms-%{name}
This package provides the kernel modules for LIRC.

Install this package if the LIRC driver you are using requires
them and your kernel doesn't include them.

%prep
%if %snapshot
%setup -q -n %{name}
rm -r CVS */CVS */*/CVS
%else
%setup -q
%endif
%patch0 -p1 -b .cflags
%patch1 -p1 -b .libtoolize
%patch2 -p1 -b .udev

%build
./autogen.sh

%configure2_5x	--localstatedir=/var \
		--with-x \
		--with-port=0x3f8 \
		--with-irq=4 \
		--disable-manage-devices \
		--with-syslog=LOG_DAEMON \
		--with-driver=userspace \
		--with-transmitter

# parallel build doesn't work as of cvs20060722
make \
%if %mdkversion < 1020
DEFS="-DHAVE_CONFIG_H -DHID_MAX_USAGES"
%endif

cd doc
./release-html.sh

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/aclocal
mkdir -p $RPM_BUILD_ROOT/var/log

%makeinstall_std

install contrib/*.m4 $RPM_BUILD_ROOT%{_datadir}/aclocal

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/
install -m644 contrib/lirc.rules $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/

install -m644 %{SOURCE2} -D $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/lircd
install -m755 %{SOURCE3} -D $RPM_BUILD_ROOT%{_initrddir}/lircd
install -m755 %{SOURCE4} -D $RPM_BUILD_ROOT%{_initrddir}/lircmd

cat > $RPM_BUILD_ROOT%{_sysconfdir}/lircd.conf<<END
#
# This is a placeholder for your configuration file.
# See %{_datadir}/%{name}-remotes for some examples.
# You might need to install %{name}-remotes package.
#
END

cp -f $RPM_BUILD_ROOT%{_sysconfdir}/lirc{,m}d.conf

# dkms

install -d -m755 %{buildroot}/usr/src/%{name}-%{version}-%{release}
cp -a Makefile Makefile.in Makefile.am acinclude.m4 \
	drivers configure.in config.status config.h \
	%{buildroot}/usr/src/%{name}-%{version}-%{release}

# Makefiles call there to unnecessarily regenerate files
echo '#!/bin/true' > %{buildroot}/usr/src/%{name}-%{version}-%{release}/configure
chmod +x %{buildroot}/usr/src/%{name}-%{version}-%{release}/configure

# get modulelist
pushd drivers
drivers=$(echo lirc_*)
popd

cat > %{buildroot}/usr/src/%{name}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_NAME="%{name}"
PACKAGE_VERSION="%{version}-%{release}"
MAKE[0]="for driver in $drivers; do make -C drivers/\\\$driver \
	KERNEL_LOCATION=\$kernel_source_dir AUTOMAKE=true AUTOCONF=true ACLOCAL=true; done"
CLEAN="for driver in $drivers; do make -C drivers/\\\$driver \
	clean AUTOMAKE=true AUTOCONF=true ACLOCAL=true; done"
AUTOINSTALL=yes
EOF

i=0
for module in $drivers; do
	cat >> %{buildroot}/usr/src/%{name}-%{version}-%{release}/dkms.conf <<-EOF
	BUILT_MODULE_NAME[$i]="$module"
	BUILT_MODULE_LOCATION[$i]="drivers/$module"
	DEST_MODULE_LOCATION[$i]="/kernel/drivers/input/misc"
	EOF
	i=$((i+1))
done

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n %{lib_name} -p /sbin/ldconfig
%postun	-n %{lib_name} -p /sbin/ldconfig

%post
%create_ghostfile /var/log/lircd root root 644
%_post_service lircd
%_post_service lircmd

%preun
%_preun_service lircd
%_preun_service lircmd

%post -n dkms-%{name}
dkms add     -m %{name} -v %{version}-%{release} --rpm_safe_upgrade
dkms build   -m %{name} -v %{version}-%{release} --rpm_safe_upgrade
dkms install -m %{name} -v %{version}-%{release} --rpm_safe_upgrade

%preun -n dkms-%{name}
dkms remove  -m %{name} -v %{version}-%{release} --rpm_safe_upgrade --all

%files
%defattr(-,root,root)
%doc ANNOUNCE AUTHORS NEWS README TODO ChangeLog 
%doc contrib/{irman2lirc,lircs} doc/irxevent.keys
%doc doc/lirc.css doc/html doc/images
%{_initrddir}/*
%config(noreplace) %{_sysconfdir}/sysconfig/*
%config(noreplace) %{_sysconfdir}/*.conf
%config(noreplace) %{_sysconfdir}/udev/rules.d/*.rules
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/*/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_includedir}/lirc
%{_datadir}/aclocal/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a

%files -n dkms-%{name}
%defattr(-,root,root)
/usr/src/%{name}-%{version}-%{release}

%changelog
* Fri Sep 22 2006 Olivier Blin <blino@mandriva.com> 0.8.1-0.20060722.4mdv2007.0
- Patch2: fix udev rule (from CVS, #25989)

* Sun Sep 03 2006 Anssi Hannula <anssi@mandriva.org> 0.8.1-0.20060722.3mdv2007.0
- fix dkms build

* Sat Aug 12 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8.1-0.20060722.2
- patch1: when checking for libtoolize, do not try to run libtool

* Sat Jul 22 2006 Anssi Hannula <anssi@mandriva.org> 0.8.1-0.20060722.1mdv2007.0
- cvs snapshot (support for recent kernels)
- drop patch1, no longer necessary
- parallelize initscripts
- disable non-working parallel build

* Fri Jan 27 2006 Anssi Hannula <anssi@mandriva.org> 0.8.0-2mdk
- fix buildrequires
- dkms package

* Wed Jan 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.8.0-1mdk
- 0.8.0

* Mon Sep  5 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.7.1-5mdk
- libtool 1.4 fixes
- revert previous changes

* Sat Aug  27 2005 Erwan Velu <velu@seanodes.com> 0.7.1-4mdk
- Adding missing requires

* Mon Aug  8 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.7.1-3mdk
- ship with udev rules so that lircmd can work on udev enabled systems

* Mon May 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.1-2mdk
- --with-transmitter (from gerard quequet, fixes #14933)
- fix build on older releases

* Mon May 16 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.7.1-1mdk
- 0.7.1
- fix executable-marked-as-config-file
- fix no-chkconfig-line
- drop P1 & P3
- cosmetics

* Mon Apr 18 2005 Arnaud de Lorbeau <devel@mandriva.com> 0.7.0-1mdk
- Update 0.7.0
- TODO: Fix autoconf problem

* Tue Aug 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.6-7mdk
- Add setserial requires (Anthill bug #1017)

* Fri Feb 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.6-6mdk
- Fix initscript again and again with correct options this time :)

* Thu Feb 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.6-5mdk
- Fix initscript again to use module options if provided (bug #7386)

* Wed Feb 04 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.6-4mdk
- fix init script for 2.6 kernel (no longer test modules presence) (bug #7355)

* Mon Aug  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.6.6-3mdk
- mklibname
- Build with irman support, fix init script (bug #4030)
- Update sysconfig files for bug 3358

* Thu Jul 10 2003 Götz Waschk <waschk@linux-mandrake.com> 0.6.6-2mdk
- rebuild for new rpm

* Thu Nov 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.6-1mdk
- Release 0.6.6
- Regenerate patch 3
- Patch4 (CVS): add files missing from tarball

* Wed Oct 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.5-4mdk
- Fixes from Maxim Heijndijk <cchq@wanadoo.nl> for initscripts and test
  kernel module presence

* Mon Sep 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.5-3mdk
- Fix initscript to correctly test for kernel module presence (bug 303

* Wed Jul 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.5-2mdk
- Merged patches from Maxim Heijndijk <cchq@wanadoo.nl> :
 - Made initscript more failsafe and configurable.

* Thu May  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.5-1mdk
- Initial Mdk package (based on PLD and Debian package)
